<template>
  <v-container class="mb-4">
    <v-row>
      <v-col
        cols="4"
      >
        <v-card class="rounded-xl">
          <v-card-title class="justify-center font-weight-black subtitle-2">
            Top características seleccionadas
          </v-card-title>
          <v-row>
            <v-col>
              <v-list style="height: 390px">
                <v-list-item-group>
                  <v-list-item
                    v-for="(item, i) in items"
                    :key="i"
                  >
                    <v-list-item-icon>
                      <v-icon color="primary" v-text="item.icon" />
                    </v-list-item-icon>
                    <v-list-item-content>
                      <v-list-item-title v-text="item.text" />
                    </v-list-item-content>
                  </v-list-item>
                </v-list-item-group>
              </v-list>
            </v-col>
          </v-row>
        </v-card>
      </v-col>
      <v-col
        cols="8"
      >
        <v-card class="rounded-xl">
          <v-card-title class="justify-center font-weight-black subtitle-2">
            Horas disponibles vs horas útiles en periodos mensuales
          </v-card-title>
          <v-row>
            <v-col>
              <chart-line
                title-y="Cantidad horas"
                title-x="Periodo de tiempo"
                :series="seriesLine"
                :categories="categoriesLine"
                :height="350"
                width="90%"
              />
            </v-col>
          </v-row>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import ChartLine from '~/components/Dashboard/ChartLine';
export default {
  name: 'FirstChart',
  components: {
    ChartLine,
  },
  data() {
    return {
      seriesLine: [{
        name: 'horas útiles',
        data: [20, 21, 10, 15, 20, 12],
      }, {
        name: 'horas disponibles',
        data: [26, 32, 20, 32, 34, 52],
      }],
      categoriesLine: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun'],
      items: [
        {
          icon: 'mdi-checkbox-blank-circle',
          text: 'Ingresó tarde a la llamada',
        },
        {
          icon: 'mdi-checkbox-blank-circle',
          text: 'No lo escuchó con atención',
        },
        {
          icon: 'mdi-checkbox-blank-circle',
          text: 'No explicó claramente sus recomendaciones',
        },
        {
          icon: 'mdi-checkbox-blank-circle',
          text: 'No fue respetuoso',
        },
      ],
    };
  },
};
</script>
